<!--
<div id="bigbuttons">
<h3>Primary Links</h3>
<ul>
	<li><a id="buttonDownload" href="download.php" title="Download">Eclipse
	Distribution, Update Site, Dropins</a></li>
	<li><a id="buttonDocumentation" href="documentation.php"
		title="Documentation">Tutorials, Examples, Videos, Reference Documentation</a></li>
	<li><a id="buttonSupport" href="support.php" title="Support">Bug
	Tracker, Newsgroup, Professional Support</a></li>
	<li><a id="buttonInvolved" href="gettinginvolved.php" title="Getting Involved">CVS,
	Workspace Setup, Wiki, Committers</a></li>
</ul>
</div>
-->

<style>
.packages img {	margin-right:5px;}
.packages tr td{padding:7px 0;}
.packageDesc b{	color:#333366;	font-size:150%;}
.packageDesc span{	font-size:85%;	padding:0 0 10px 0;	margin:0px;}
</style>

<div id="maincontent">
	<div id="midcolumn">
	<img  style="float:right" src="images/sphinx_logo_300.png" border="0"
			  alt="Sphinx Project" align="right">
				<h1>Sphinx Project</h1>



			  	<p/>

		<h3>About Sphinx</h3>
		<div id="introText">

			<p>Sphinx is an open source project under the <a href="https://projects.eclipse.org/projects/automotive">Eclipse Automotive</a> project to provide an extensible platform that eases the creation of integrated modeling tool
environments supporting individual or multiple modeling languages (which can be UML-based or
native DSLs) and has a particular focus on industrial strength and interoperability.
			</p>
			
		</div>


<!--
<div id="screencast">
<object width="640" height="480"><param name="allowfullscreen" value="true" /><param name="allowscriptaccess" value="always" /><param name="movie" value="http://vimeo.com/moogaloop.swf?clip_id=8260921&amp;server=vimeo.com&amp;show_title=0&amp;show_byline=0&amp;show_portrait=0&amp;color=DBD7EF&amp;fullscreen=1" /><embed src="http://vimeo.com/moogaloop.swf?clip_id=8260921&amp;server=vimeo.com&amp;show_title=0&amp;show_byline=0&amp;show_portrait=0&amp;color=DBD7EF&amp;fullscreen=1" type="application/x-shockwave-flash" allowfullscreen="true" allowscriptaccess="always" width="640" height="480"></embed></object>
</div>
-->

		<h3>Some Highlights of Sphinx</h3>
		<div class="feature_description">
			<h4>Workspace Management</h4>
				<p>This component is built on EMF, EMF Transaction, and Eclipse Platform. It provides services for managing the lifecycle and editing domains of model instances that need to be centrally provided and shared in the workspace of Sphinx-based modeling tool applications.</p>
		</div>

		<div class="feature_description">
			<h4>Navigator View and Editor Sockets</h4>
				<p>This component is built on EMF, EMF Transaction, Eclipse Common Navigator Framework, Eclipse UI Forms, and GMF. It provides common logic for creating explorer views, form editors, and graphical editors operating on shared model instances in Sphinx-based modeling tool applications.</p>
		</div>

		<div class="feature_description">
			<h4>Validation Runtime Extensions</h4>
				<p>This component is built on EMF, EMF Transaction, EMF Validation, and Eclipse Platform. It provides extended runtime-level services for validating models or model fragments in Sphinx-based modeling tool applications and visualizing validation results.</p>
		</div>

		<div class="feature_description">
			<h4>Compare & Merge Integration</h4>
				<p>This component is built on EMF, EMF Transaction, EMF Compare, and Eclipse Compare Support. It provides extensions enabling model-based compare/merge operations to be carried out on shared model instances in Sphinx-based modeling tool applications.</p>
		</div>

		<div class="feature_description">
			<h4>EMF Runtime & Eclipse Platform Extensions</h4>
				<p>This component is built on EMF, EMF Transaction, and Eclipse Platform. It provides common runtime-level enhancements such as description of meta-models, description of shared model instances including their scopes, meta-model compatibility services, as well as a couple of performance optimizations and utilities. They are used by all other Sphinx platform components and are also available to Sphinx-based modeling tool applications.</p>
		</div>

	<table width="100%" class="packages" cellspacing=0 cellpadding=0>
		<tr><td width="60" valign="top" align="center">
			<img src="/mylyn/images/community.jpg">
				</td><td valign="top" class="packageDesc">
				<b><a href="gettinginvolved.php">Getting Involved</a></b><br />
				<span>git, Workspace Setup, Wiki, Committers.<br/></span>
			</td></tr>

		<tr><td width="60" valign="top" align="center">
			<a href="downloads.php"><img src="//dev.eclipse.org/large_icons/actions/go-bottom.png"></a>
				</td><td valign="top" class="packageDesc">
				<b><a href="download.php">Downloads</a></b><br />
				<span>Distribution, Update Site, Dropins.<br/></span>
			</td></tr>
	</table>
	</div>

	<div id="rightcolumn">
		<div class="sideitem">
			<h6>Incubation</h6>
			<a href="/projects/what-is-incubation.php">
				<img align="center" src="/images/egg-incubation.png" border="0" alt="Incubation" />
			</a>
			<p>This project is in the <a href="/projects/dev_process/incubation-phase.php">Incubation Phase</a>.</p>
		</div>

		<div class="sideitem">
			<h6>Project Summary</h6>
			<p>Read more <a href="https://projects.eclipse.org/projects/automotive.sphinx">about this project</a> and get all useful information and links about it in a nutshell.</p>
			<p><a href="http://wiki.eclipse.org/Sphinx">Wiki pages</a> with up-to-date Sphinx developer and user are in progress.</p>
		</div>

		<div class="sideitem">
			<h6>New and Noteworthy</h6>
			<p><a href="https://download.eclipse.org/sphinx/updates/release/0.13.0/">Sphinx 0.13.0</a> is <a href="https://www.eclipse.org/lists/sphinx-dev/msg00051.html">released</a></p>
		</div>
	</div>

</div>